Bug 203659 - SYSRQ, Scroll Lk, Break keys do not work correctly on Dell Precision M90
SYSRQ, Scroll Lk, Break keys do not work correctly on Dell Precision M90
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
: Desktop
Depends On:
Blocks: 202880
  Show dependency treegraph
 
Reported: 2006-08-22 17:05 EDT by Suzanne Hillman
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-18 11:16:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xev output (1.06 KB, text/plain)
2006-08-22 17:05 EDT, Suzanne Hillman
no flags Details

  None (edit)
Description Suzanne Hillman 2006-08-22 17:05:25 EDT
Description of problem:
(all are Fn keys) Scroll Lock appears to be being detected correctly by X, based
on xev results. Break seems to be being detected as Pause (the key on which the
Fn key is located). SysRQ is detected, but I cannot tell what as. See attachment
(1st is Sysrq, then Scroll Lock, then Break)

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.1.1-26.fc6

How reproducible:
Always

Steps to Reproduce:
1. Hold down 'Fn'
2. Press the Print Screen button (this will get detected by X as print screen,
so may need to go to Kernel team), the Num Lock Key, and the Pause key.
  
Actual results:
Strangeness

Expected results:
Sysrq, Scroll lock, break

Additional info:
Comment 1 Suzanne Hillman 2006-08-22 17:05:33 EDT
Created attachment 134676 [details]
xev output
Comment 2 Adam Jackson 2006-08-25 14:11:52 EDT
On normal AT-style keyboards, the Pause/Break key always generates Pause when
pressed by itself.  Break is generated with Control+Pause.
Comment 3 Suzanne Hillman 2006-08-25 15:11:25 EDT
Hmm...

While this does make it work, the fact that 'Break' is blue, like the rest of
the Fn keys, makes me suspect that the correct behavior still needs to involve
Fn and not CTRL. That, or perhaps have a note somewhere about this.
Comment 4 Matěj Cepl 2007-09-11 20:34:28 EDT
Since this bugzilla report was filed, there have been several major updates,
which may have resolved this issue. Users who have experienced this problem are
encouraged to upgrade their system to the latest version of their distribution
available.

Please, if you experience this problem on the up-to-date system, let us now in
the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as
INSUFFICIENT_DATA. Thank you.
Comment 5 Suzanne Hillman 2007-09-18 10:13:52 EDT
Unfortunately, the M90 has disappeared, and I will not be able to test if this
is resolved.

Note You need to log in before you can comment on or make changes to this bug.